# Class ComparateurHuffmanNode

java.lang.Object
fr.iutfbleau.sae.mhuffman.ComparateurHuffmanNode

All Implemented Interfaces:
  `Comparator<HuffmanNode>`

public class ComparateurHuffmanNode extends Object implements Comparator<HuffmanNode>
Comparateur utilisé pour trier les nœuds de l'arbre de Huffman. Le tri se fait uniquement en fonction de la fréquence du nœud. Les nœuds ayant une plus petite fréquence doivent être placés avant. Cette classe permet d'éviter les classes anonymes ou les expressions avancées, et reste simple à comprendre.

## Constructor Summary

Constructors
Constructor
Description
`ComparateurHuffmanNode()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(HuffmanNode a, HuffmanNode b)`
Compare deux nœuds en fonction de leur fréquence.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### ComparateurHuffmanNode

public ComparateurHuffmanNode()

## Method Details

### compare

public int compare(HuffmanNode a, HuffmanNode b)
Compare deux nœuds en fonction de leur fréquence.

Specified by:
  `compare` in interface `Comparator<HuffmanNode>`
Parameters:
  `a` - premier nœud à comparer
  `b` - second nœud à comparer
Returns:
  un entier négatif si a invalid input: '<' b, positif si a > b, 0 si égalité